Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Interface ContainerPlugin

All Superinterfaces:
  Service

All Known Subinterfaces:
  ContainerInvoker, EntityCache, EntityPersistenceManager, EntityPersistenceStore, InstanceCache, InstancePool, Interceptor, LocalContainerInvoker, StatefulSessionPersistenceManager

public interface ContainerPlugin
extends Service

This is a superinterface for all Container plugins. All plugin interfaces must extend this interface.

Version:
  $Revision: 1.4 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:
  `Service`

Method Summary
`void` | `setContainer(Container con)` This callback is set by the container so that the plugin may access it

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Method Detail

### setContainer

    public void setContainer(Container con)

  This callback is set by the container so that the plugin may access it
  Parameters:
    `con` - the container using this plugin

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.